.footer-copyright-gap {
	padding: 0px 0px 0px 0px !important;
}

.section-background-register {
	background-color: #dff4ff !important;
}

.btn-lg-background {
	/*background-color: var(--primary);*/
	background-color: var(--deep-primary);
	color: var(--secondary-inverse);
	/*border-color: var(--primary);*/
	border-color: var(--deep-primary);
	--hover: var(--primary--200);


	--bs-btn-color: #fff;
    --bs-btn-bg: #6c757d;
    --bs-btn-border-color: #6c757d;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #134170;
    --bs-btn-hover-border-color: #134170;
    --bs-btn-focus-shadow-rgb: 130, 138, 145;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #565e64;
    --bs-btn-active-border-color: #51585e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #6c757d;
    --bs-btn-disabled-border-color: #6c757d;
}

.btn-lg-background-disabled {
    /*background-color: var(--primary);*/
    background-color: #a497fc;
    color: var(--secondary-inverse);
    /*border-color: var(--primary);*/
    border-color: #a497fc;
    --hover: var(--primary--200);
    --bs-btn-color: #fff;
    --bs-btn-bg: #6c757d;
    --bs-btn-border-color: #6c757d;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #134170;
    --bs-btn-hover-border-color: #134170;
    --bs-btn-focus-shadow-rgb: 130, 138, 145;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #565e64;
    --bs-btn-active-border-color: #51585e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #6c757d;
    /*--bs-btn-disabled-border-color: #6c757d;*/
}

.heading-text-blue {
	color: #001fe3 !important;
}

.footer-background {
	/*background: #056CF2 !important; */
	background: var(--dark) !important;
	/*//#112347 !important;*/
}

.top-to-scroll-bg {
	background-color: var(--primary) !important;
	color: var(--secondary-inverse) !important;
	font-weight: bold !important;
	font-size: 2rem;
}

.top-to-scroll-size {
	font-size: 1.2rem !important;
}
@media (min-width: 768px) {
	.top-to-scroll-size {
		font-size: calc(1.2*100)/360) !important;
	}
}
	
.carosual-arrow-blue {
	color: #dff4ff !important;
}

/*#note_title,
#note_content h2,
#note_content h4,
#note_content h6,
#note_content p,
#note_content span,
#note_content li {
    color: var(--default) !important;
    font-size: 14px !important;
    font-family: 'Verdana' !important;
}*/


#note_title,
#note_content,
#note_content * {
    color: var(--default) !important;
    font-family: Verdana, Geneva, sans-serif !important;
}

#note_content p,
#note_content li,
#note_content span {
    /*font-size: 14px !important;*/
}

#note_content p,
#note_content span,
#note_content li,
#note_content mark {
    background: transparent !important;
    background-color: transparent !important;
}




.pt-4-2 {
	margin-top: 2rem !important;
}

.header-container-height: {
	height: 90px !important;
}

.featured-box-primary .icon-featured-box {
    background-color: var(--primary);
}
.icon-featured-box {
    background-color: var(--primary);
}
.icon-featured-box {
    display: inline-block;
    font-size: 0;
    /* margin: 15px; */
    width: 110px;
    height: 110px;
    border-radius: 50%;
    text-align: center;
    position: relative;
    z-index: 1;
    color: var(--light);
    font-size: 2.3em;
    line-height: 110px;
}

@media (min-width: 768px) { /*DESKTOP*/
	.dropdown-bottom-border {
		/*border-top: 4px solid #007bff !important;*/
		/*border-top: 4px solid #000 !important;*/
		margin-top: -4.0px !important;
		border-top: 3px solid var(--light-300); !important;
	    /*margin-top: -3.6px !important;*/
	}
}

@media (max-width: 767px) { /*MOBILE*/
	.dropdown-bottom-border {
		/*border-top: 4px solid #007bff !important;*/
		/*border-top: 4px solid #000 !important;*/
		margin-top: -3.8px !important;
		/*border-top: 3px solid #000 !important;*/
	    margin-top: -3.6px !important;
	}
}

.dropdown-ml-5 {
    margin-left: 7px !important;
}
/*.timeline-line-bg {
	background: #001fe3 !important;
}*/

.dropdown-item-size {
	font-size: 14px !important;
}

.custom-mt-4 {
    margin-top: 1.75rem !important;
}

.custom-bg-color-quaternary {
    background-color: var(--white) !important;
    border: 0.3px solid var(--grey);
}

/*.footer-copyright p {
    color: hsla(0, 0%, 100%, .6) !important;
}*/

.footer-nav a {
    color: hsla(0, 0%, 100%, .9) !important;
}

.footer-nav a:hover {
    color: hsla(0, 0%, 100%, .9) !important;
}

#footer .text-4 a {
    color: hsla(0, 0%, 100%, .9) !important;
}

.custom-border-radius-10 {
	border-radius: 20px;
}

.bottom-border-line {
	border-bottom: 1px solid hsla(0, 0%, 100%, .42);
}

/*.footer-copyright p {
	color: hsla(0, 0%, 100%, .7);
	font-size: 12px;
}*/

.footer-communication {
	font-size: 14px !important;
	font-weight: 500 !important;
    color: hsla(0, 0%, 100%, .8) !important;
}

.top-border-line {
	border-top: 1px solid hsla(0, 0%, 100%, .42) !important;
}





.course-card {
  border: 1px solid #e0e0e0;
  border-radius: 10px;
  padding: 15px;
  margin-bottom: 15px;
  background-color: #fff;
}
.course-image {
  width: 60px;
  height: 60px;
  border-radius: 10px;
  object-fit: cover;
}
.badge-free {
  background-color: #e6f2ff;
  color: #0d6efd;
  font-weight: 600;
  border-radius: 6px;
  padding: 2px 8px;
  font-size: 0.75rem;
}
.resume-link {
  color: #0d6efd;
  font-weight: 500;
  text-decoration: none;
}
.resume-link:hover {
  text-decoration: underline;
}
.small-text {
  font-size: 0.85rem;
  color: #6c757d;
}



.loader-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(255, 255, 255, 0.8);
  display: none; /* hidden by default */
  align-items: center;
  justify-content: center;
  z-index: 9999;
/*      display: flex; /* Add this to center the content */*/
}

.speeding-wheel {
  width: 60px;
  height: 60px;
  border: 8px solid #ccc;
  border-top: 8px solid #3498db;
  border-radius: 50%;
  animation: spin 0.8s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}



.nav-ul {
    justify-content: flex-start !important;
}

.font-size-14 {
    font-size: 14px !important;
}

.font-size-16 {
    font-size: 16px !important;
}

.my-4-hr {
    margin: 0.25rem;
}

@media (max-width: 767px) {
    .nav-ul {
        display: flex; justify-content: center !important;
    }
    .font-size-14 {
        font-size: calc(14*100)/360) !important;
    }
    .font-size-16 {
        font-size: calc(16*100)/360) !important;
    }
    .my-4-hr {
        margin: 2.25rem;
    }
}



.dropdown-center-screen {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    .dropdown-wide {
      width: 90vw;
      max-width: 600px;
      padding: 1rem;
      left: 0;
    }

.number-box {
  display: inline-block;
  width: 40px;
  height: 40px;
  margin: 10px;
  text-align: center;
  line-height: 40px;
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #fff;
  font-size: 14px;
}


        .question-bottom-line {
            border-bottom: 3px solid #ddd !important;
/*            padding: 8px 0;*/
        }
        .question-box {
/*            border-bottom: 1px solid #ddd;*/
            padding: 8px 0;
        }
        .question-input {
            width: 150px;
            display: inline-block;
/*            text-align: center;*/
        }
        .btn-orange {
            background-color: #f7941d !important;
            color: #fff !important;
            border: none;
            padding: 4px 12px;
            font-size: 14px;
        }
        .btn-orange:hover {
            background-color: #e68300;
            color: #fff;
        }
        .question-actions {
            min-width: 90px;
            text-align: right;
        }


.question-text {
    line-height: 2.9;        /* controls vertical gap */
    word-spacing: 2px;
}

.question-text select,
.question-text input {
    vertical-align: middle; /* fixes drop-down jump */
    margin: 0 4px;          /* small horizontal gap */
}

.question-row {
    padding: 6px 0;         /* reduce vertical spacing */
}



.quiz-modal {
    border-radius: 0;
}

/* Top bar */
.quiz-topbar {
    height: 80px;
    border-bottom: 1px solid #eee;
    background: #fff;

    position: sticky;
    top: 0;
    z-index: 1050;
}

/* Back button */
.quiz-back-btn {
    font-size: 30px;
    font-weight: 600;
    color: #333;
    text-decoration: none;
}

/* Close button */
.quiz-close-btn {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: none;
    background: #dc3545;
    color: #fff;
    font-size: 20px;
    line-height: 1;
}

/* Body full height */
.quiz-body {
    overflow-y: auto;
    padding: 10px;
}

/* Question styling */
.question-box {
    padding: 15px;
    border-bottom: 1px solid #ddd;
}

.options label {
    display: block;
    margin-bottom: 8px;
}

.declaration-checkbox {
    transform: scale(1.4);   /* checkbox size */
    cursor: pointer;
}

.declaration-label {
    font-size: 1rem;       /* text size */
    cursor: pointer;
}

.fw-custom-semibold {
    font-weight: 400 !important;
}

.px-custom-10 {
    padding-right: 5rem !important;
    padding-left: 5rem !important;
}

@media (max-width: 767px) {
    .px-custom-10 {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }

    .quiz-body {
        overflow-y: auto;
        padding: 10px;
    }
}

.w-custom-30 {
  width: 30px;
}

.fonsize {
    font-size: 14.4px !important;
}

.lh-custom-lg {
    line-height: 2.5 !important;
}

.chapter-item{
    display:flex !important;
    justify-content:space-between;
    align-items:center;
    padding-left:10px !important;
}

.nav-link.active p {
    color: #0a58ca;
}


.module-card{
    border:1px solid #e5e5e5;
    border-radius:12px;
    padding:18px 20px;
    margin-bottom:15px;
    background:#fff;
}

.module-title{
    font-weight:600;
    font-size:16px;
    color:#4a4a4a;
}

.module-meta{
    font-size:13px;
    color:#8a8a8a;
}

.lock-icon{
    font-size:20px;
    color:#7a6fb2;
}

@media (min-width: 768px) {
    .custom-col-md-3 {
        flex: 0 0 auto;
        width: 30%;
    }

    .custom-col-md-4 {
        flex: 0 0 auto;
        width: 25%;
    }

    .custom-col-md-8 {
        flex: 0 0 auto;
        width: 75%;
    }
}

.custom-checkbox {
    width: 20px;
    height: 20px;
    border: 2px solid #6c757d; /* Border color */
    border-radius: 4px; /* Optional: rounded corners */
    cursor: pointer;
}

.custom-checkbox:checked {
    background-color: #0d6efd; /* Checked background */
    border-color: #0d6efd;
}

.custom-checkbox + .form-check-label {
    margin-left: 10px;
}


/* Common Button Style */
.btn-signin {
    width: 100%;
    height: 48px;
    border: none;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    cursor: pointer;
    transition: all 0.3s ease;
}

/* Enabled Button */
.btn-signin.enabled {
    background: #5A4FF3;
    box-shadow: 0 2px 8px rgba(90, 79, 243, 0.35);
}

.btn-signin.enabled:hover {
    background: #4E44E8;
}

/* Disabled Button */
.btn-signin.disabled,
.btn-signin:disabled {
    background: #B8B2F6;
    color: #ffffff;
    cursor: not-allowed;
    box-shadow: none;
    opacity: 1; /* Keep same opacity */
}


/*Signup*/
.btn-signup {
    width: 100%;
    height: 48px;
    border: none;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    cursor: pointer;
    transition: all 0.3s ease;
}

/* Enabled Button */
.btn-signup.enabled {
    background: #5A4FF3;
    box-shadow: 0 2px 8px rgba(90, 79, 243, 0.35);
}

.btn-signup.enabled:hover {
    background: #4E44E8;
}

/* Disabled Button */
.btn-signup.disabled,
.btn-signup:disabled {
    background: #B8B2F6;
    color: #ffffff;
    cursor: not-allowed;
    box-shadow: none;
    opacity: 1; /* Keep same opacity */
}

.font-weight-400 {
    font-weight:400;
}

.font-weight-500 {
    font-weight:500;
}

.font-weight-600 {
    font-weight:600;
}

/*#password {
    height: 50px;
    border-radius: 30px;
    padding-right: 45px;
}*/

#togglePassword {
    color: #6c757d;
}

#togglePassword:hover {
    color: #5A4FF3;
}

/* Divider */
.divider {
    display: flex;
    align-items: center;
    margin: 25px 0;
    color: #6c757d;
    font-size: 12px;
    font-weight: 500;
}

.divider::before,
.divider::after {
    content: "";
    flex: 1;
    border-bottom: 1px solid #e5e5e5;
}

.divider span {
    padding: 0 15px;
}

/* Google Button */
.google-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 100%;
    height: 48px;
    border: 1px solid #dee2e6;
    border-radius: 8px;
    background: #fff;
    color: #3c4043;

    text-decoration: none !important;
}

.google-btn:hover,
.google-btn:focus,
.google-btn:active,
.google-btn:visited {
    text-decoration: none !important;
    color: #3c4043;
}

.google-btn img {
    width: 20px;
    height: 20px;
}

.signup-text {
    text-align: center;
    font-size: 12px;
    color: #4b5563;
    margin-top: 25px;
}

.signup-text a {
    color: #635BFF; /* Stripe purple */
    text-decoration: none;
    font-weight: 500;
    margin-left: 4px;
}

.signup-text a:hover {
    color: #4F46E5;
    text-decoration: underline;
}


/*  Header CSS  */

/*=========================
    CUSTOM HEADER
==========================*/

#header{
    background:transparent;
}

#header .header-body{
    /*background:transparent;*/
    border:none;
    box-shadow:none;
    padding:0;
}

.custom-header{
    background:#2D6CB5;
    border-radius:18px;
    padding:0 30px;
    min-height:82px;
    display:flex;
    align-items:center;
}

.custom-header {
    background: #2D6CB5;
    border-radius: 18px;
    padding: 0 25px;
    height: 60px;      /* Instead of min-height:82px */
    min-height: auto;
    display: flex;
    align-items: center;
}

.custom-header .header-container_{
    width:100%;
}

.custom-header .header-row{
    align-items:center;
}

.custom-header .header-column{
    display:flex;
    align-items:center;
}

.custom-header .header-logo img{
    max-height:52px;
    width:auto;
}

/*=========================
MENU
==========================*/

.custom-header #mainNav{
    align-items:center;
}

.custom-header #mainNav>li{
    margin:0 8px;
}

.custom-header #mainNav>li>a{
    /*color:#fff !important;*/
    font-size:15px;
    font-weight:500;
    padding:10px 16px;
    border-radius:25px;
}

.custom-header #mainNav>li>a:hover{
    background:rgba(255,255,255,.15);
}

.custom-header #mainNav>li>a.active{
    background:rgba(255,255,255,.15);
}

/*=========================
SEARCH
==========================*/

.custom-header .simple-search{
    width:240px;
}

.custom-header .simple-search .form-control{
    border:none;
    height:42px;
    border-radius:30px 0 0 30px;
    box-shadow:none;
}

.custom-header .simple-search .btn{
    border:none;
    background:#fff;
    border-radius:0 30px 30px 0;
    padding:0 18px;
}

.custom-header .btnqsearch i{
    color:#2D6CB5;
}

/*=========================
SIGN IN
==========================*/

.custom-header .border-light{
    border:1px solid rgba(255,255,255,.6)!important;
    color:#fff!important;
    padding:8px 22px;
    transition:.3s;
}

.custom-header .border-light:hover{
    background:#fff;
    color:#2D6CB5!important;
}

/*=========================
USER
==========================*/

.custom-header .fa-circle-user{
    color:#fff;
    font-size:34px;
}

/*=========================
MOBILE BUTTON
==========================*/

.custom-header .header-btn-collapse-nav{
    background:transparent;
    border:1px solid rgba(255,255,255,.4);
    color:#fff;
}

/*=========================
RESPONSIVE
==========================*/

@media(max-width:991px){

    .custom-header{
        padding:15px;
        border-radius:12px;
        min-height:auto;
    }

    .custom-header {
        height: 55px;      /* Instead of min-height:82px */
    }

    .custom-header .header-nav-main{
        background:#2D6CB5;
        margin-top:15px;
        border-radius:10px;
    }

    .custom-header .header-nav-main nav{
        padding:10px;
    }

    .custom-header .simple-search{
        width:100%;
        margin:15px 0;
    }

    .custom-header .header-column{
        width:100%;
    }

}

li span {
    color: #bed9f4 !important;
}



/*
.header-user {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 15px;
}

.user-info {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    white-space: nowrap;
}

.user-info .welcome {
    color: #fff;
    font-size: 15px;
    font-weight: 600;
    line-height: 18px;
}

.user-info .name {
    color: #fff;
    font-size: 22px;
    font-weight: 600;
    line-height: 24px;
}

.user-avatar {
    width: 52px;
    height: 52px;
    min-width: 52px;
    border-radius: 50%;
    background: #4d8fe8;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    font-weight: 700;
    text-decoration: none;
    position: relative;
}

.user-avatar i{
    position:absolute;
    right:8px;
    bottom:10px;
    font-size:11px;
}*/


/*==========================
USER AREA
==========================*/

.user-dropdown{
    margin-left:20px;
}

.user-dropdown>a{
    display:flex;
    align-items:center;
}

.user-info{
    display:flex;
    flex-direction:column;
    align-items:flex-end;
    line-height:1.2;
}

.welcome-text{
    color:#fff;
    font-size:14px;
    font-weight:600;
    white-space:nowrap;
}

.user-name{
    color:#fff;
    font-size:18px;
    font-weight:700;
    white-space:nowrap;
}

.user-avatar{
    width:42px;
    height:42px;
    min-width:42px;
    border-radius:50%;
    background:#5A9DF4;
    display:flex;
    align-items:center;
    justify-content:center;
    color:#fff;
    font-size:18px;
    font-weight:700;
    transition:.3s;
}

.user-dropdown:hover .user-avatar{
    background:#76B0FF;
}

.user-dropdown .dropdown-menu{
    min-width:230px;
    border-radius:12px;
    margin-top:12px;
}

.user-dropdown .dropdown-item{
    padding:10px 18px;
    font-size:15px;
}

.user-dropdown .dropdown-item:hover{
    background:#f4f7fb;
}

/*  Course Card  */
.custom-card-courses{
    margin:0;
    border-radius:10px;
    overflow:hidden;
    transition:.3s;
}

.custom-card-courses:hover{
    transform:translateY(-5px);
    box-shadow:0 10px 25px rgba(0,0,0,.15);
}

.custom-card-courses img{
    height:180px;
    object-fit:cover;
}

.custom-card-padding {
    padding: 1.5rem !important;
}

.custom-card-courses .card-title{
    font-size:16px;
    font-weight:400;
    min-height:30px;
}

.custom-card-courses .btn{
    border-radius:6px;
}



/* Drawer Menu */
.mobile-drawer{
    position:fixed;
    top:0;
    left:-300px;
    width:280px;
    height:100%;
    background:#fff;
    z-index:99999;
    transition:.35s;
    overflow-y:auto;
    box-shadow:5px 0 20px rgba(0,0,0,.15);
}

.mobile-drawer.open{
    left:0;
}

.mobile-menu-overlay{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.5);
    display:none;
    z-index:99998;
}

.mobile-menu-overlay.show{
    display:block;
}

.drawer-header{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:12px;
    border-bottom:1px solid #eee;
}

.drawer-header{
    margin: 10px;
    border-radius: 12px;
    min-height: auto;
    background: #2D6CB5;
}

.drawer-close{
    background:none;
    border:none;
    font-size:24px;
}

.drawer-menu{
    margin:0;
    padding:0;
    list-style:none;
}

.drawer-menu li{
    border-bottom:1px solid #eee;
}

.drawer-menu a{
    display:block;
    padding:7px 20px;
    color:#333;
    text-decoration:none;
    font-weight:500;
}

.drawer-menu a:hover{
    background:#f5f5f5;
}

.drawer-menu i{
    width:25px;
}

.drawer-dropdown ul{
    display:none;
    padding-left:15px;
    background:#fafafa;
}

.drawer-dropdown.active ul{
    display:block;
}

.drawer-dropdown ul li{
    border:none;
}

@media(min-width:992px){

    .mobile-drawer,
    .mobile-menu-overlay,
    .header-btn-collapse-nav{
        display:none !important;
    }

}

.logo-size {
    /*width: 123px !important;*/
    height: 49px;
}

@media(max-width:991px){
    .logo-size {
        width: 170px !important;
        height: 42px !important;
    }
}


.drawer-user{
    display:flex;
    align-items:center;
    gap:15px;
    padding:10px 10px;
    margin:10px;
    background:#f5f7fb;
    border-radius:12px;
}

.drawer-avatar{
    width:55px;
    height:55px;
    min-width:55px;
    border-radius:50%;
    background:#2d6cb5;
    color:#fff;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:20px;
    font-weight:700;
}

.drawer-user-info{
    flex:1;
}

.drawer-welcome{
    font-size:14px;
    color:#6c757d;
    margin-bottom:2px;
}

.drawer-name{
    font-size:18px;
    font-weight:600;
    color:#222;
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
}




/*Tab Color*/

/* Desktop */
.nav-ul .nav-item{
    flex: 1;
}

.nav-ul .nav-link{
    text-align: center;
    padding: 12px 6px;
    white-space: nowrap;
}

.nav-link.active p {
    color: #0a58ca;
}

/* Mobile */
@media (max-width:767px){

    .nav-ul{
        display:flex !important;
        flex-wrap:nowrap !important;
        width:100%;
        overflow:hidden;
    }

    .nav-ul .nav-item{
        flex:1 1 25%;
        max-width:25%;
    }

    .nav-ul .nav-link{
        padding:10px 2px;
        font-size:13px;
    }

    /*.nav-ul {
        display: flex !important;
        flex-wrap: nowrap !important;
        justify-content: center !important;
        align-items: center !important;
        width: 100%;
    }

    .nav-ul > .nav-item {
        flex: 1;
        text-align: center;
        margin: 0 !important;
    }

    .nav-ul > .nav-item > .nav-link {
        display: flex !important;
        justify-content: center !important;
        align-items: center !important;
        height: 50px;
        padding: 10px;
        text-align: center;
    }*/

    .nav-ul .nav-link span{
        display:block;
        font-size:13px;
        line-height:1.2;
    }
}